// ハードウェアを操作するための関数
#ifndef SESSALET_CONTROL_H_INCLUDED
#define SESSALET_CONTROL_H_INCLUDED

/*
extern const sensor_port_t
seated_sensor,
human_sensor,
color_sensor,
gyro_sensor;

extern const motor_port_t
splay_motor,
flash_motor,
cover_motor,
nozzle_motor;
*/

// 本体の画面にメッセージを表示する
void lcd_new_message(const char* msg);

// フタを開ける(モータ-ID, フタを開けるために必要なモータの回転角度, フタを開けるスピード)
void openCover(void);

// フタを閉じる
void closeCover(void);

// ノズルを出す
void putOutNozzle(void);

// ノズルをしまう
void putAwayNozzle(void);

// ウォシュレットの水を出す
void openSplay(void);

// ウォシュレットの水を止める
void closeSplay(void);

// 洗浄水を流す
void openFlash(void);

// 洗浄水を止める
void closeFlash(void);

// 着座判定
int chkSeated(const int reflect_min, const int reflect_max);

#endif //SESSALET_CONTROL_H_INCLUDED
